#include "../bib/Professor.hpp"

int Professor::qtdProfessores = 0;

Professor::Professor()
{
    this->qtdProfessores++;
}

Professor::~Professor()
{
    this->qtdProfessores--;
}

Professor::Professor(std::tm dataAdmissao, std::tm dataDemissao, std::string CPF, std::string RG, std::string endereco, std::string telefone, std::string email, std::string nome)
{
    this->dataAdmissao = dataAdmissao;
    this->dataDemissao = dataDemissao;
    this->CPF = CPF;
    this->RG = RG;
    this->endereco = endereco;
    this->telefone = telefone;
    this->email = email;
    this->nome = nome;
    
    this->qtdProfessores++;
}


std::tm Professor::getDataAdmissao()
{
    return this->dataAdmissao;
}

void Professor::setDataAdmissao(std::tm dataAdmissao)
{
    this->dataAdmissao = dataAdmissao;
}

std::tm Professor::getDataDemissao()
{
    return this->dataDemissao;
}

void Professor::setDataDemissao(std::tm dataDemissao)
{
    this->dataDemissao = dataDemissao;
}

std::string Professor::getCPF()
{
    return this->CPF;
}

void Professor::setCPF(std::string CPF)
{
    this->CPF = CPF;
}

std::string Professor::getRG()
{
    return this->RG;
}

void Professor::setRG(std::string RG)
{
    this->RG = RG;
}

std::string Professor::getEndereco()
{
    return this->endereco;
}

void Professor::setEndereco(std::string endereco)
{
    this->endereco = endereco;
}

std::string Professor::getTelefone()
{
    return this->telefone;
}

void Professor::setTelefone(std::string telefone)
{
    this->telefone = telefone;
}

std::string Professor::getEmail()
{
    return this->email;
}

void Professor::setEmail(std::string email)
{
    this->email = email;
}

std::string Professor::getNome()
{
    return this->nome;
}

void Professor::setNome(std::string nome)
{
    this->nome = nome;
}

int Professor::getQtdProfessores()
{
    return this->qtdProfessores;
}